# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rgl"
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Horst Duchene", "Kirill Lashuk"]
  s.autorequire = "rgl/base"
  s.date = "2014-12-15"
  s.description = "RGL is a framework for graph data structures and algorithms"
  s.email = "monora@gmail.com"
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = ["README.rdoc"]
  s.homepage = "https://github.com/monora/rgl"
  s.rdoc_options = ["--title", "RGL - Ruby Graph Library", "--main", "README.rdoc", "--line-numbers"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23.2"
  s.summary = "Ruby Graph Library"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<stream>, ["~> 0.5.0"])
      s.add_runtime_dependency(%q<algorithms>, [">= 0.5.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
    else
      s.add_dependency(%q<stream>, ["~> 0.5.0"])
      s.add_dependency(%q<algorithms>, [">= 0.5.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
    end
  else
    s.add_dependency(%q<stream>, ["~> 0.5.0"])
    s.add_dependency(%q<algorithms>, [">= 0.5.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
  end
end
